<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes"/>
  
<xsl:template match="/">
  <html>
    <head>
      <title>Description de la BD <xsl:value-of select="database/@name"/></title>
    <link rel="stylesheet" type="text/css" href="descriptionDB.css"></link>
    <meta charset="UTF-8"></meta>
    <meta name="id" content="{database/@id}"></meta>
    <meta name="name" content="{database/@name}"></meta>
    <meta name="versionXML" content="{database/@versionXML}"></meta>
    <meta name="date" content="{database/@date}"></meta>
    <meta name="author" content="{database/@author}"></meta>
    </head>
  <body>
   <div id="principal">
    <div id="titreDB">La base de données <xsl:value-of select="database/@name"/></div>
    <div id="descriptionDB1"><xsl:value-of select="database/descriptionDB1"/></div>
    <xsl:for-each select="database/table">
  <div class="classTable">
    <div class="classSchemeTable">

    <xsl:value-of select="schemeTable" disable-output-escaping="yes"/>
  </div>
  <div class="classDescriptionTable">
    <xsl:value-of select="descriptionTable"/>
  </div>
</div>
    </xsl:for-each>
    <div id="descriptionDB2"><xsl:value-of select="database/descriptionDB2"/></div>
    <div id="infos">
id : <xsl:value-of select="database/@id"/> - 
name : <xsl:value-of select="database/@name"/> - 
version xml : <xsl:value-of select="database/@versionXML"/> -
version xslt : 1.0 -
    date: <xsl:value-of select="database/@date"/> - 
    author : <xsl:value-of select="database/@author"/> -
    JSQlQUIZ
</div>
 </div>

  </body>
  </html>
   
</xsl:template>

</xsl:stylesheet>