-- La base de données BESTIOLES
-- Jean-François Condotta
-- 10/10/2019

DROP TABLE ESPECE;

CREATE TABLE ESPECE (
	idEspece		INT 			PRIMARY KEY,
	nomEspece		VARCHAR(50)		NOT NULL,
	nomGenre		VARCHAR(50)		NOT NULL,
	nomFamille		VARCHAR(50)		NOT NULL,
	nomOrdre		VARCHAR(50)		NOT NULL,
	CHECK(LENGTH(nomEspece)>3),
	CHECK(LENGTH(nomGenre)>3),
	CHECK(LENGTH(nomFamille)>3),
	CHECK(LENGTH(nomOrdre)>3),
	UNIQUE(nomEspece)
);

